Products

StudyMate Campus Features

StudyMate Campus

System Requirements

StudyMate Campus System Requirements

Browser Requirements
StudyMate Campus requires a recent version of Safari, Firefox, Chrome, or Edge. (Internet Explorer is not supported.)

Learning Management Systems
StudyMate Campus integrates with the following learning management systems:

  • Blackboard Learn 9.1 or higher
  • Brightspace 10.x
  • Canvas
  • Moodle 2.x to 3.x
  • Schoology Enterprise

Mobile Requirements
The StudyMate Campus mobile app requires iOS 9.3+ or Android 5.0+.